Module | Sequel::JDBC::H2::DatabaseMethods
In: | lib/sequel/adapters/jdbc/h2.rb

Instance methods for H2 Database objects accessed via JDBC.

### Methods

database_type dataset serial_primary_key_options

### Constants

PRIMARY_KEY_INDEX_RE | = | /\Aprimary_key/i.freeze

### Public Instance methods

database_type()

H2 uses the :h2 database type.

[Source]

        # File lib/sequel/adapters/jdbc/h2.rb, line 10
    10:         def database_type
    11:           :h2
    12:         end

dataset(opts=nil)

Return Sequel::JDBC::H2::Dataset object with the given opts.

[Source]

        # File lib/sequel/adapters/jdbc/h2.rb, line 15
    15:         def dataset(opts=nil)
    16:           Sequel::JDBC::H2::Dataset.new(self, opts)
    17:         end

serial_primary_key_options()

H2 uses an IDENTITY type

[Source]

        # File lib/sequel/adapters/jdbc/h2.rb, line 20
    20:         def serial_primary_key_options
    21:           {:primary_key => true, :type => :identity}
    22:         end

[Validate]